"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _object = require("./object");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
(0, _tape.default)('removeKeysWithNullishValues', t => {
  t.notOk((0, _object.removeKeysWithNullishValues)(null));
  t.notOk((0, _object.removeKeysWithNullishValues)(undefined));
  t.deepEqual((0, _object.removeKeysWithNullishValues)({
    a: 1,
    b: null,
    c: 3
  }), {
    a: 1,
    c: 3
  });
  t.deepEqual((0, _object.removeKeysWithNullishValues)({
    a: 1,
    b: undefined,
    c: 3
  }), {
    a: 1,
    c: 3
  });
  t.deepEqual((0, _object.removeKeysWithNullishValues)({
    a: 1,
    c: 3
  }), {
    a: 1,
    c: 3
  });
  t.end();
});